Configure with one of the following commands:

* For udev:

        ./configure --with-udev-hotplug=/lib --sysconfdir=/etc

* For old hotplug:

        ./configure --enable-etc-hotplug --sysconfdir=/etc

This makes sure that the udev files are installed in /etc and not
in /usr/local/etc.

To list configuration options:

    ./configure --help

If the configure script does not exist (if you checked comedilib out
from git for example), it can be generated by running `./autogen.sh`.
The autoconf, automake, autoheader, etc. tools are required to
generate the configure script (automake version >= 1.5 recommended).

The configure script will not enable the Python or Ruby bindings
unless SWIG is installed and the Python or Ruby development
packages are installed.

Compile using `make`.  If this doesn't work, make sure you have the
basic tools installed to compile. If you can successfully compile
other things, consult the author, as he has probably made a mistake.

Install using `make install` as root.  This installs the files:

*	/usr/lib/libcomedi.so.0.x
*	/usr/include/comedi.h
*	/usr/include/comedilib.h
*	and other things...

To write programs that use comedi, look at examples in the *demo/* and
the documentation in the *doc/* directory.
